Retrieve a sales-tax item
Retrieves a sales-tax item by ID.
IMPORTANT: If you need to fetch multiple specific sales-tax items by ID, use the list endpoint instead with the ids parameter. It accepts an array of IDs so you can batch the request into a single call, which is significantly faster.
Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the sales-tax item to retrieve.
36"80000001-1234567890"
Response
Returns the specified sales-tax item.
The unique identifier assigned by QuickBooks to this sales-tax item. This ID is unique across all sales-tax items but not across different QuickBooks object types.
"80000001-1234567890"
The type of object. This value is always "qbd_sales_tax_item".
"qbd_sales_tax_item""qbd_sales_tax_item"
The date and time when this sales-tax item was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this sales-tax item was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this sales-tax item object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this sales-tax item, unique across all sales-tax items.
NOTE: Sales-tax items do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
"Standard Tax"
The sales-tax item's barcode.
"012345678905"
Indicates whether this sales-tax item is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The sales-tax item's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.
The sales-tax item's description that will appear on sales forms that include this item.
"Standard rate sales tax for California"
The tax rate defined by this sales-tax item, represented as a decimal string. For example, "7.5" represents a 7.5% tax rate. This rate determines the amount of sales tax applied when this item is used in transactions. If a non-zero taxRate is specified, then the taxVendor field is required.
"7.5"
The tax agency (vendor) to whom collected sales taxes are owed for this sales-tax item. This field refers to a vendor in QuickBooks that represents the tax authority. If a non-zero taxRate is specified, then taxVendor is required.
The specific line on the sales tax return form where the tax collected using this sales-tax item should be reported.
A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.
"12345678-abcd-1234-abcd-1234567890ab"
The custom fields for the sales-tax item object, added as user-defined data extensions, not included in the standard QuickBooks object.

